com.amazon.redshift.core

## Class PluginProfilesConfigFile

- java.lang.Object
- - ProfilesConfigFile
  - - com.amazon.redshift.core.PluginProfilesConfigFile

    public class PluginProfilesConfigFile
    extends ProfilesConfigFile

### Constructor Summary

Constructors
Constructor and Description
`PluginProfilesConfigFile(RedshiftJDBCSettings settings, RedshiftLogger log)`

### Method Summary

Methods
`CredentialsHolder` `getCredentials(String profileName)` Returns the AWS credentials for the specified profile.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PluginProfilesConfigFile

    public PluginProfilesConfigFile(RedshiftJDBCSettings settings,
                            RedshiftLogger log)

### Method Detail

#### getCredentials

    public CredentialsHolder getCredentials(String profileName)

Returns the AWS credentials for the specified profile.